Extending Qt Creator Manual | ProjectMacroExpander

Extending Qt Creator Manual 4.5.2

# ProjectMacroExpander Class

(ProjectExplorer::ProjectMacroExpander)

Inherits: | Utils::MacroExpander

- List of all members, including inherited members

## Public Functions

| ProjectMacroExpander(const QString &mainFilePath, const QString &projectName, const Kit *kit, const QString &bcName, BuildConfiguration::BuildType buildType)

- 18 public functions inherited from Utils::MacroExpander

## Member Function Documentation

### ProjectMacroExpander::ProjectMacroExpander(const QString &mainFilePath, const QString &projectName, const Kit *kit, const QString &bcName, BuildConfiguration::BuildType buildType)

Default constructs an instance of ProjectMacroExpander.